Nowe posty

xx Instalacja Debian10 problem z instalacją GRUBa na RAID5 (5)
Dzisiaj o 17:58:57
xx AMD Ryzen 5 3500U (11)
Wczoraj o 18:29:46
xx Konfiguracja directadmina (0)
2019-10-13, 03:18:36
xx Problem z instalacją sterowników TL-WN821N (4)
2019-10-11, 23:15:00
xx Sprzet z Linuxem (1)
2019-10-11, 10:06:24
xx nadpisanie partycji domowej (6)
2019-10-03, 03:27:28
xx Screen flickering Deepin (4)
2019-10-02, 20:32:56
xx Pisanie bezpiecznych skryptow. (0)
2019-10-01, 19:42:01
xx Ciągle pojawiają się nowe wpisy w auth.log (1)
2019-09-27, 21:09:45
xx Pblem z montowaniem dysku sieciowego (3)
2019-09-22, 22:05:08

Autor Wątek: Serwer Linux: Problemy z Instalacja aplikcji  (Przeczytany 13621 razy)

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 11
    • Zobacz profil
Serwer Linux: Problemy z Instalacja aplikcji
« dnia: 2010-08-04, 10:01:18 »
Witam mam juz dość długo ten problem i nie znalazlem na to odpowiedzi.
Nie znam się na linuxe więć prosze nie pisać jakiś zaawansowanych rzeczy :]

Podczas instalacji (konfiguracji) zawsze przy byle jakiej aplikacji wyskakuje mi coś takiego

(...)
checking for gcc... gcc
checking whether the C compiler works... no
configure: error: in `/root/mpfr-3.0.0':
configure: error: C compiler cannot create executables
See `config.log' for more details.

to jest akurat przy instalacji mpfr-3.0.0, ale wyskakuje mi cos podobnego przy kazdej aplikacji, więc nic sobie nie zainstaluje :( .

Offline Kamil Leduchowski

  • Users
  • Stały bywalec
  • ***
  • Wiadomości: 152
    • Zobacz profil
Serwer Linux: Problemy z Instalacja aplikcji
« Odpowiedź #1 dnia: 2010-08-04, 12:41:59 »
Cytat: radzi0123
checking for gcc... gcc
checking whether the C compiler works... no
configure: error: in `/root/mpfr-3.0.0':
configure: error: C compiler cannot create executables
See `config.log' for more details.
Najprawdopodobniej nie masz zainstalowanego kompilatora gcc co możesz sprawdzić przez which gcc - bez tego nie skompilujesz żadnego programu a skrypty configure będą wywalać błąd w tym samym miejscu. Generalna zasada podczas instalacji czegokolwiek w systemie jest taka, że najpierw szukamy w oficjalnych repozytoriach danej dystrybucji, potem w nieoficjalnych, jeżeli takowe są dostępne, a dopiero na końcu, jeżeli nie znajdziemy nigdzie gotowych binariów, zabieramy się za własnoręczną kompilację. Tak przy okazji na Linuksie się nie znasz ale na bibliotekach developerskich do precyzyjnych operacji zmiennoprzecinkowych już tak? ;-)

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 11
    • Zobacz profil
Serwer Linux: Problemy z Instalacja aplikcji
« Odpowiedź #2 dnia: 2010-08-04, 18:07:03 »
No i sprawdziłem czy mam gcc i chyba mam :P

which gcc
/usr/bin/gcc

ale właśnie jak sobie przypominam to ja już dawno to instalowałem i chyba zainstalowałem z błędem. Przy włączeniu ./configure wyskoczył błąd, ja go zignorowałem,  wpisałem make i make install i tak chyba zainstalowałem źle.

Czyli jak to teraz przeinstalować, spróbowałem teraz po swojemu tak jak zawsze zainstalować (./configure)  gcc-4.5.0 i wyskoczylo znowu:

checking build system type... i686-pc-linux-gnu
checking host system type... i686-pc-linux-gnu
checking target system type... i686-pc-linux-gnu
checking for a BSD-compatible install... /usr/bin/ginstall -c
checking whether ln works... yes
checking whether ln -s works... yes
checking for a sed that does not truncate output... /usr/bin/sed
checking for gawk... gawk
checking for gcc... gcc
checking for C compiler default output file name...
configure: error: in `/root/gcc-4.5.0':
configure: error: C compiler cannot create executables
See `config.log' for more details.

Czyli teraz nie zainstaluje sobie gcc bo nie mam gcc, hah czyli jak to mam zainstalować.

I właśnie o co chodzi z tymi binarkami, czy to jest jakiś inny sposób instalacji ?? - jak to się robi ?? :]

Tego ostatniego twojego zdania kompletnie nie rozumiem :P

Offline

  • Users
  • Prawie jak Guru
  • ****
  • Wiadomości: 258
    • Zobacz profil
Serwer Linux: Problemy z Instalacja aplikcji
« Odpowiedź #3 dnia: 2010-08-04, 20:26:34 »
Skoro
(...)
checking for gcc... gcc
(...)
to kompilator jest obecny.

Cytat: radzi0123
ale właśnie jak sobie przypominam to ja już dawno to instalowałem i chyba zainstalowałem z błędem. Przy włączeniu ./configure wyskoczył błąd, ja go zignorowałem, wpisałem make i make install i tak chyba zainstalowałem źle.
Skoro mogłeś wykonać make to błąd, który "wyskoczył" był mało istotny dla procesu kompilacji. No chyba, że pojawiły się błędy w czasie samej kompilacji ale to już inna sprawa.

Przypuszczam, iż jest to spowodowane brakiem bibliotek deweloperskich glibc.
Poza tym zauważyłeś coś takiego jak
See `config.log' for more details.
?

Offline roobal

  • Users
  • Guru
  • *****
  • Wiadomości: 2052
    • Zobacz profil
Serwer Linux: Problemy z Instalacja aplikcji
« Odpowiedź #4 dnia: 2010-08-05, 00:22:06 »
Cytat: radzi0123
I właśnie o co chodzi z tymi binarkami, czy to jest jakiś inny sposób instalacji ?? - jak to się robi ?? :]
Binarki to inaczej kod binarny, czyli chodzi o paczki ze skompilowanym już kodem binarnym, gotowym do instalacji. Ty w chwili obecnej, chcąc instalować musisz najpierw skompilować kod źródłowy a takie coś ma sens tylko, gdy program nie jest dostępny w binarkach, chcesz zoptymalizować kod lub z innej przyczyny.

W Slackware z tego co pamiętam pakiety instaluje się poleceniem:

installpkg nazwa_programu
Pozdrawiam!

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 11
    • Zobacz profil
Serwer Linux: Problemy z Instalacja aplikcji
« Odpowiedź #5 dnia: 2010-08-05, 13:09:19 »
Darko maz tutaj zawartosc pliku config.log:

 
This file contains any messages produced by compilers while
running configure, to aid debugging if configure makes a mistake.

It was created by MPFR configure 3.0.0, which was
generated by GNU Autoconf 2.65.  Invocation command line was

  $ ./configure

## --------- ##
## Platform. ##
## --------- ##

hostname = stanley
uname -m = i686
uname -r = 2.6.34-vs2.3.0.36.30.4.pre8
uname -s = Linux
uname -v = #1 SMP Sun Jun 27 02:37:28 CEST 2010

/usr/bin/uname -p = Dual Core AMD Opteron(tm) Processor 280
/bin/uname -X     = unknown

/bin/arch              = i686
/usr/bin/arch -k       = unknown
/usr/convex/getsysinfo = unknown
/usr/bin/hostinfo      = unknown
/bin/machine           = unknown
/usr/bin/oslevel       = unknown
/bin/universe          = unknown

PATH: /usr/local/sbin
PATH: /usr/sbin
PATH: /sbin
PATH: /usr/local/bin
PATH: /usr/bin
PATH: /bin
PATH: /usr/games


## ----------- ##
## Core tests. ##
## ----------- ##

configure:2647: checking for a BSD-compatible install
configure:2715: result: /usr/bin/ginstall -c
configure:2726: checking whether build environment is sane
configure:2776: result: yes
configure:2917: checking for a thread-safe mkdir -p
configure:2956: result: /usr/bin/mkdir -p
configure:2969: checking for gawk
configure:2985: found /usr/bin/gawk
configure:2996: result: gawk
configure:3007: checking whether make sets $(MAKE)
configure:3029: result: yes
configure:3101: checking whether to disable maintainer-specific portions of Makefiles
configure:3110: result: yes
configure:3133: checking build system type
configure:3147: result: i686-pc-linux-gnu
configure:3167: checking host system type
configure:3180: result: i686-pc-linux-gnu
configure:3342: checking for grep that handles long lines and -e
configure:3400: result: /usr/bin/grep
configure:3405: checking for egrep
configure:3467: result: /usr/bin/grep -E
configure:3472: checking for a sed that does not truncate output
configure:3536: result: /usr/bin/sed
configure:3546: checking for CC and CFLAGS in gmp.h
configure:3568: result: no
configure:3645: checking for gcc
configure:3661: found /usr/bin/gcc
configure:3672: result: gcc
configure:3901: checking for C compiler version
configure:3910: gcc --version >&5
gcc (GCC) 4.3.3
Copyright (C) 2008 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:3921: $? = 0
configure:3910: gcc -v >&5
Reading specs from /usr/lib/gcc/i486-slackware-linux/4.3.3/specs
Target: i486-slackware-linux
Configured with: ../gcc-4.3.3/configure --prefix=/usr --libdir=/usr/lib --enable-shared --enable-bootstrap --enable-languages=ada,c,c++,fortran,java,objc --enable-threads=posix --enable-checking=release --with-system-zlib --disable-libunwind-exceptions --enable-__cxa_atexit --enable-libssp --with-gnu-ld --verbose --with-arch=i486 --target=i486-slackware-linux --build=i486-slackware-linux --host=i486-slackware-linux
Thread model: posix
gcc version 4.3.3 (GCC)
configure:3921: $? = 0
configure:3910: gcc -V >&5
gcc: '-V' option must have argument
configure:3921: $? = 1
configure:3910: gcc -qversion >&5
gcc: unrecognized option '-qversion'
gcc: no input files
configure:3921: $? = 1
configure:3941: checking whether the C compiler works
configure:3963: gcc    conftest.c  >&5
/usr/libexec/gcc/i486-slackware-linux/4.3.3/cc1: error while loading shared libraries: libmpfr.so.1: cannot open shared object file: No such file or directory
configure:3967: $? = 1
configure:4005: result: no
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "MPFR"
| #define PACKAGE_TARNAME "mpfr"
| #define PACKAGE_VERSION "3.0.0"
| #define PACKAGE_STRING "MPFR 3.0.0"
| #define PACKAGE_BUGREPORT ""
| #define PACKAGE_URL ""
| /* end confdefs.h.  */
|
| int
| main ()
| {
|
|   ;
|   return 0;
| }
configure:4010: error: in `/root/mpfr-3.0.0':
configure:4014: error: C compiler cannot create executables
See `config.log' for more details.

## ---------------- ##
## Cache variables. ##
## ---------------- ##

ac_cv_build=i686-pc-linux-gnu
ac_cv_env_CC_set=
ac_cv_env_CC_value=
ac_cv_env_CFLAGS_set=
ac_cv_env_CFLAGS_value=
ac_cv_env_CPPFLAGS_set=
ac_cv_env_CPPFLAGS_value=
ac_cv_env_CPP_set=
ac_cv_env_CPP_value=
ac_cv_env_LDFLAGS_set=
ac_cv_env_LDFLAGS_value=
ac_cv_env_LIBS_set=
ac_cv_env_LIBS_value=
ac_cv_env_build_alias_set=
ac_cv_env_build_alias_value=
ac_cv_env_host_alias_set=
ac_cv_env_host_alias_value=
ac_cv_env_target_alias_set=
ac_cv_env_target_alias_value=
ac_cv_host=i686-pc-linux-gnu
ac_cv_path_EGREP='/usr/bin/grep -E'
ac_cv_path_GREP=/usr/bin/grep
ac_cv_path_SED=/usr/bin/sed
ac_cv_path_install='/usr/bin/ginstall -c'
ac_cv_path_mkdir=/usr/bin/mkdir
ac_cv_prog_AWK=gawk
ac_cv_prog_ac_ct_CC=gcc
ac_cv_prog_make_make_set=yes

## ----------------- ##
## Output variables. ##
## ----------------- ##

ACLOCAL='${SHELL} /root/mpfr-3.0.0/missing --run aclocal-1.11'
AMDEPBACKSLASH=''
AMDEP_FALSE=''
AMDEP_TRUE=''
AMTAR='${SHELL} /root/mpfr-3.0.0/missing --run tar'
ANSI2KNR=''
AR=''
AS=''
AUTOCONF='${SHELL} /root/mpfr-3.0.0/missing --run autoconf'
AUTOHEADER='${SHELL} /root/mpfr-3.0.0/missing --run autoheader'
AUTOMAKE='${SHELL} /root/mpfr-3.0.0/missing --run automake-1.11'
AWK='gawk'
CC='gcc'
CCDEPMODE=''
CFLAGS=''
CPP=''
CPPFLAGS=''
CYGPATH_W='echo'
DEFS=''
DEPDIR=''
DLLTOOL=''
DSYMUTIL=''
DUMPBIN=''
ECHO_C=''
ECHO_N='-n'
ECHO_T=''
EGREP='/usr/bin/grep -E'
EXEEXT=''
FGREP=''
GREP='/usr/bin/grep'
INSTALL_DATA='${INSTALL} -m 644'
INSTALL_PROGRAM='${INSTALL}'
INSTALL_SCRIPT='${INSTALL}'
INSTALL_STRIP_PROGRAM='$(install_sh) -c -s'
LD=''
LDFLAGS=''
LIBOBJS=''
LIBS=''
LIBTOOL=''
LIPO=''
LN_S=''
LTLIBOBJS=''
MAINT=''
MAINTAINER_MODE_FALSE='#'
MAINTAINER_MODE_TRUE=''
MAKEINFO='${SHELL} /root/mpfr-3.0.0/missing --run makeinfo'
MKDIR_P='/usr/bin/mkdir -p'
MPFR_LIBM=''
NM=''
NMEDIT=''
OBJDUMP=''
OBJEXT=''
OTOOL64=''
OTOOL=''
PACKAGE='mpfr'
PACKAGE_BUGREPORT=''
PACKAGE_NAME='MPFR'
PACKAGE_STRING='MPFR 3.0.0'
PACKAGE_TARNAME='mpfr'
PACKAGE_URL=''
PACKAGE_VERSION='3.0.0'
PATH_SEPARATOR=':'
RANLIB=''
SED='/usr/bin/sed'
SET_MAKE=''
SHELL='/bin/sh'
STRIP=''
U=''
VERSION='3.0.0'
ac_ct_CC='gcc'
ac_ct_DUMPBIN=''
am__EXEEXT_FALSE=''
am__EXEEXT_TRUE=''
am__fastdepCC_FALSE=''
am__fastdepCC_TRUE=''
am__include=''
am__isrc=''
am__leading_dot='.'
am__quote=''
am__tar='${AMTAR} chof - "$$tardir"'
am__untar='${AMTAR} xf -'
bindir='${exec_prefix}/bin'
build='i686-pc-linux-gnu'
build_alias=''
build_cpu='i686'
build_os='linux-gnu'
build_vendor='pc'
datadir='${datarootdir}'
datarootdir='${prefix}/share'
docdir='${datarootdir}/doc/${PACKAGE_TARNAME}'
dvidir='${docdir}'
exec_prefix='NONE'
host='i686-pc-linux-gnu'
host_alias=''
host_cpu='i686'
host_os='linux-gnu'
host_vendor='pc'
htmldir='${docdir}'
includedir='${prefix}/include'
infodir='${datarootdir}/info'
install_sh='${SHELL} /root/mpfr-3.0.0/install-sh'
libdir='${exec_prefix}/lib'
libexecdir='${exec_prefix}/libexec'
localedir='${datarootdir}/locale'
localstatedir='${prefix}/var'
lt_ECHO='echo'
mandir='${datarootdir}/man'
mkdir_p='/usr/bin/mkdir -p'
oldincludedir='/usr/include'
pdfdir='${docdir}'
prefix='NONE'
program_transform_name='s,x,x,'
psdir='${docdir}'
sbindir='${exec_prefix}/sbin'
sharedstatedir='${prefix}/com'
sysconfdir='${prefix}/etc'
target_alias=''

## ----------- ##
## confdefs.h. ##
## ----------- ##

/* confdefs.h */
#define PACKAGE_NAME "MPFR"
#define PACKAGE_TARNAME "mpfr"
#define PACKAGE_VERSION "3.0.0"
#define PACKAGE_STRING "MPFR 3.0.0"
#define PACKAGE_BUGREPORT ""
#define PACKAGE_URL ""

configure: exit 77
Jakoś nic mi to nie mówi.

Znalazlem niby to glibc-1.09.1.tar.gz rozpakowałem i uruchimilem ./configure iz nowu bład
No target given; guessing target is i686-unknown-linux.
Invalid configuration `i686-unknown-linux': machine `i686-unknown' not recognized
Czy to jakieś złe znalazłem ??
Czy to glibc mogę zainstalować z plików binarnych ??
Gdzie w ogóle mogę szukać tych plików binarnych i jak się je odróżnia. Znalazłem tylko jedno slapt-get (nic wiecej niema ??).

Offline roobal

  • Users
  • Guru
  • *****
  • Wiadomości: 2052
    • Zobacz profil
Serwer Linux: Problemy z Instalacja aplikcji
« Odpowiedź #6 dnia: 2010-08-05, 20:41:31 »
Pisałem wyżej, że wystarczy w terminalu wpisać installpkg nazwa_programu i system sam sobie znajdzie program, pobierze, rozpakuje i zainstaluje a jeśli czegoś nie ma w repozytoriach głównych/oficjalnych to jak ktoś pisał wyżej szukasz listę repozytoriów nieoficjalnych/prywatnych itp.

Spróbuj wykonać:

su -c 'installpkg glibc'
Pozdrawiam!

Offline

  • Users
  • Prawie jak Guru
  • ****
  • Wiadomości: 258
    • Zobacz profil
Serwer Linux: Problemy z Instalacja aplikcji
« Odpowiedź #7 dnia: 2010-08-05, 21:41:52 »
(...)
/usr/libexec/gcc/i486-slackware-linux/4.3.3/cc1: error while loading shared libraries: libmpfr.so.1: cannot open shared object file: No such file or directory
(...)
Ta wersja GCC do działania potrzebuje bibliotek mpfr.
Ściągnij odpowiedni pakiet dla swojej wersji Slackware'a i zainstaluj używając poleceń installpkg (tak jak to zasugerował roobal) lub pkgtool.

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 11
    • Zobacz profil
Serwer Linux: Problemy z Instalacja aplikcji
« Odpowiedź #8 dnia: 2010-08-06, 07:45:33 »
Dziękuje Wam bardzo, ale mam jeszcze jedno pytania znalazlem te repozytoria:

ftp://ftp.slackware.com/pub/slackware/slackware-12.0/
http://software.jaos.org/slackpacks/12.0/
http://ftp.scarlet.be/pub/linuxpackages/Slackware-12.0/
http://www.slacky.eu/repository/slackware-12.0/
http://scxd.info/pub/
http://packages.slackware.hu/tamas.csabi/slack-packages-12.0/
http://sox.homeip.net/slackware/slackbuilds/
ftp://ftp.slackbuilds.org/12.0/
http://slack.sarava.org/packages/slackware/slackware-12.0/
http://linuxpackages.inode.at/Slackware-12.0/
ftp://ftp.slackware.com/pub/slackware/slackware-current/
ftp://anorien.warwick.ac.uk/slackware/slackware-current/
http://www.kadu.net/download/binary/slackware/slackware-11.0/
ftp://ftp.icm.edu.pl/pub/linux/slackware/slackware-12.0/extra
Tylko jak i gdzie to mam teraz dodać w Slackware .
Zdaje się ze ja nie mam żadnych repozytoriów ponieważ nic nie mogę zainstalować

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 11
    • Zobacz profil
Serwer Linux: Problemy z Instalacja aplikcji
« Odpowiedź #9 dnia: 2010-08-06, 09:45:32 »
A już wiem miałem zainstalować slackpkg lub swaret lub slapt-get

Tylko w każdym wyskakuje mi błąd (juz mnie to troche wszystko denerwuje bo na tej dystrybucji mam problem z instalacja wszystkiego. Mam Linuxa Slackware 13.0)

To tak:

W slackpkg wpisalem slackpkg update wyskoczylo:
 : command not foundpkg.conf: line 5:
: command not foundpkg.conf: line 28:
: command not foundpkg.conf: line 31:
: command not foundpkg.conf: line 48:
: command not foundpkg.conf: line 57:
: command not foundpkg.conf: line 66:
: command not foundpkg.conf: line 69:
: command not foundpkg.conf: line 72:
: command not foundpkg.conf: line 75:
: command not foundpkg.conf: line 78:
: command not foundpkg.conf: line 82:
: command not foundpkg.conf: line 86:
: command not foundpkg.conf: line 93:
: command not foundpkg.conf: line 98:
: command not foundpkg.conf: line 106:
: command not foundpkg.conf: line 111:
: command not foundpkg.conf: line 117:
: command not foundpkg.conf: line 120:
: command not foundpkg.conf: line 126:
: command not foundpkg.conf: line 129:
: command not foundpkg.conf: line 134:
: command not foundpkg.conf: line 138:

Your slackpkg.conf is outdated. Please, edit it using slackpkg.conf.new
as example or overwrite it with slackpkg.conf.new.

You can use 'slackpkg new-config' to do that.
W swaret jak wpisalem swaret --update wyskoczylo:

swaret 1.6.3-2

 ]ftp://ftp.nluug.nl/pub/os/Linux/distr/slackware/slackware-13.0
### Fetching CHECKSUMS List File... FAILED!
### Fetching FILELIST List File... FAILED!
### Fetching PACKAGES List File for Packages... FAILED!
### Fetching PACKAGES List File for Extra Packages... FAILED!
### Fetching PACKAGES List File for Patches... FAILED!
### Fetching ChangeLog... FAILED!
 ]http://sunsite.cnlab-switch.ch/ftp/mirror/slackware/slackware-13.0
### Fetching CHECKSUMS List File... FAILED!
### Fetching FILELIST List File... FAILED!
### Fetching PACKAGES List File for Packages... FAILED!
### Fetching PACKAGES List File for Extra Packages... FAILED!
### Fetching PACKAGES List File for Patches... FAILED!
### Fetching ChangeLog... FAILED!
 ]ftp://ftp.slackware.no/pub/linux/slackware/slackware-13.0
### Fetching CHECKSUMS List File... \\
(...)
W kazdym wyskoczylo FAILED!

A w slack-apt:
slapt-get: error while loading shared libraries: libgpgme.so.11: cannot open shared object file: No such file or directory
Ale w tym to chyba wiem o co chodzi brakuje bibliotek, ale juz nie chce sie w to bawić bo jak powiedziałem w wczesniejszych postach nie moge uruchomic ./configure a poprzez installpkg nie ma.

Offline Piotr Chmura

  • Administrator
  • Guru
  • *****
  • Wiadomości: 5060
    • Zobacz profil
Serwer Linux: Problemy z Instalacja aplikcji
« Odpowiedź #10 dnia: 2010-08-06, 13:20:16 »
Tak się zastanawiam... umiesz czytać ?

Następnym krokiem jest poszukanie rozwiązania w sieci.

http://www.linuxquestions.org/questions/slackware-14/error-while-loading-shared-libraries-libgpgme-so-11-a-514013/

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 11
    • Zobacz profil
Serwer Linux: Problemy z Instalacja aplikcji
« Odpowiedź #11 dnia: 2010-08-07, 15:30:04 »
Witam mam jeszcze jedna prosbe czy mógł by mi ktoś udostępnic plik /lib/libc.so.6 , ponieważ nie wiem co sie stalo przy isntalowaniu installpkg nie pamietam czego wyskaiwalo jakies rm /lib/libc.so.6 czyli go usuwało
A teraz juz nie moge nic zrobic gdy wpisuje installpkg wyskakuje /bin/sh: /lib/libc.so.6: version `GLIBC_2.3.4' not found (required by /bin/sh)

Moze jak ktos udostepni plik /lib/libc.so.6 to wszystko wróci do normy

Mam slackware 13.0
Poczta: radekja@tlen.pl

Offline

  • Users
  • Prawie jak Guru
  • ****
  • Wiadomości: 258
    • Zobacz profil
Serwer Linux: Problemy z Instalacja aplikcji
« Odpowiedź #12 dnia: 2010-08-07, 16:14:55 »
libc.so.6 to dowiązanie do właściwej biblioteki libc.
Stwórz takowe a wszystko powinno wrócić do normy.

Offline

  • Users
  • Nowy na forum
  • *
  • Wiadomości: 11
    • Zobacz profil
Serwer Linux: Problemy z Instalacja aplikcji
« Odpowiedź #13 dnia: 2010-08-07, 16:43:25 »
Teraz to juz chyba koniec. Całkowicie sie zepsuło. Jak wyłaczyłem putty to juz nie połacze sie z sewerem pisze jak by był wyłaczony. A gdy wchodze na stronę to wygląda jak by serwer był uruchomiony tylko ze w Uptime nic nie ma. Zawsze tam pisalo ile serwer jest uruchomiony albo Down jak jest wyłaczony

Offline roobal

  • Users
  • Guru
  • *****
  • Wiadomości: 2052
    • Zobacz profil
Serwer Linux: Problemy z Instalacja aplikcji
« Odpowiedź #14 dnia: 2010-08-07, 18:39:26 »
Może zamiast Slackware to Ty sobie lepiej Debiana postaw, w nim wszystko zainstalujesz z pakietów binarnych i ogólnie jest łatwiejszy do ogarnięcia. Bez obrazy ale żeby używać Slackware trzeba mieć trochę wiedzy na jego temat, choć i ten system nie jest jakoś szczególnie skomplikowany w obsłudze.

Tak poza tym żeby używać jakąkolwiek dystrybucję Linuksa czy programu wypadałoby przeczytać jego dokumentację lub podręczniki, których nie brakuje chociażby w samym systemie.

Pozdrawiam!